<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-formation-heading" jhiTranslate="gestioncvsApp.formation.home.createOrEditLabel">Create or edit a Formation</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.formation.etablissemnt" for="field_etablissemnt">Etablissemnt</label>
                    <input type="text" class="form-control" name="etablissemnt" id="field_etablissemnt"
                           formControlName="etablissemnt"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.formation.dateEntree" for="field_dateEntree">Date Entree</label>
                    <input type="text" class="form-control" name="dateEntree" id="field_dateEntree"
                           formControlName="dateEntree"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.formation.dateSortie" for="field_dateSortie">Date Sortie</label>
                    <input type="text" class="form-control" name="dateSortie" id="field_dateSortie"
                           formControlName="dateSortie"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.formation.ville" for="field_ville">Ville</label>
                    <input type="text" class="form-control" name="ville" id="field_ville"
                           formControlName="ville"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.formation.pays" for="field_pays">Pays</label>
                    <input type="text" class="form-control" name="pays" id="field_pays"
                           formControlName="pays"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.formation.titre" for="field_titre">Titre</label>
                    <input type="text" class="form-control" name="titre" id="field_titre"
                           formControlName="titre"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.formation.specialite" for="field_specialite">Specialite</label>
                    <input type="text" class="form-control" name="specialite" id="field_specialite"
                           formControlName="specialite"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.formation.ressourcePropose" for="field_ressourcePropose">Ressource Propose</label>
                    <select class="form-control" id="field_ressourcePropose" name="ressourcePropose" formControlName="ressourceProposeId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="ressourceProposeOption.id" *ngFor="let ressourceProposeOption of ressourceproposes; trackBy: trackById">{{ ressourceProposeOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
